Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 1483)
+++ palm/trunk/SOURCE/parin.f90	(revision 1484)
@@ -19,6 +19,8 @@
 !
 ! Current revisions:
-! ------------------
-! 
+! -----------------
+! Changes due to new module structure of the plant canopy model:
+!   canopy-model related parameters moved to new package canopy_par in 
+!   subroutine package_parin
 ! 
 ! Former revisions:
@@ -151,5 +153,5 @@
 
     USE arrays_3d,                                                             &
-        ONLY:  lad, pt_init, q_init, ref_state, sa_init, ug, u_init, v_init,   &
+        ONLY:  pt_init, q_init, ref_state, sa_init, ug, u_init, v_init,        &
                vg
 
@@ -165,10 +167,10 @@
                building_length_y, building_wall_left, building_wall_south,     &
                call_microphysics_at_all_substeps, call_psolver_at_all_substeps,&
-               canopy_mode, canyon_height,                                     &
+               canyon_height,                                                  &
                canyon_width_x, canyon_width_y, canyon_wall_left,               &
                canyon_wall_south, cfl_factor,                                  &
                cloud_droplets, cloud_physics, cloud_scheme,                    &
                conserve_volume_flow, conserve_volume_flow_mode,                &
-               coupling_start_time, create_disturbances, cthf, cycle_mg,       &
+               coupling_start_time, create_disturbances, cycle_mg,             &
                data_output, data_output_masks,                                 &
                data_output_pr, data_output_2d_on_each_pe,                      &
@@ -176,5 +178,5 @@
                disturbance_level_b, disturbance_level_t, dissipation_1d,       &
                do2d_at_begin, do3d_at_begin,                                   &
-               dp_external, dp_level_b, dp_smooth, dpdxy, drag_coefficient,    &
+               dp_external, dp_level_b, dp_smooth, dpdxy,                      &
                drizzle, dt, dt_averaging_input, dt_averaging_input_pr,         &
                dt_coupling, dt_data_output, dt_data_output_av, dt_disturb,     &
@@ -187,7 +189,7 @@
                inflow_damping_width, inflow_disturbance_begin,                 &
                inflow_disturbance_end,  initializing_actions, io_blocks,       &
-               io_group, km_constant, lad_surface, lad_vertical_gradient,      &
-               lad_vertical_gradient_level, large_scale_forcing,               &
-               large_scale_subsidence, leaf_surface_concentration,             &
+               io_group, km_constant,                                          &
+               large_scale_forcing,                                            &
+               large_scale_subsidence,                                         &
                loop_optimization, masking_method, mask_scale_x, mask_scale_y,  &
                mask_scale_z, mask_x, mask_y, mask_z, mask_x_loop,              &
@@ -197,6 +199,6 @@
                momentum_advec, netcdf_data_format, netcdf_precision, neutral,  &
                ngsrb, normalizing_region, nsor, nsor_ini, nudging, ocean,      &
-               omega, omega_sor, passive_scalar, pch_index, phi, nz_do3d,      &
-               plant_canopy, prandtl_layer, prandtl_number, precipitation,     &
+               omega, omega_sor, passive_scalar, phi, nz_do3d,                 &
+               prandtl_layer, prandtl_number, precipitation,                   &
                precipitation_amount_interval, psolver, pt_damping_factor,      &
                pt_damping_width, pt_reference, pt_surface,                     &
@@ -211,5 +213,5 @@
                run_identifier, sa_surface, sa_vertical_gradient,               &
                sa_vertical_gradient_level, scalar_advec,                       &
-               scalar_exchange_coefficient, scalar_rayleigh_damping,           &
+               scalar_rayleigh_damping,                                        &
                section_xy, section_xz, section_yz, skip_time_data_output,      &
                skip_time_data_output_av, skip_time_dopr, skip_time_do2d_xy,    &
@@ -270,13 +272,13 @@
              building_length_y, building_wall_left, building_wall_south,       &
              call_psolver_at_all_substeps, call_microphysics_at_all_substeps,  &
-             canopy_mode, canyon_height,                                       &
+             canyon_height,                                                    &
              canyon_width_x, canyon_width_y, canyon_wall_left,                 &
              canyon_wall_south, c_sedimentation, cfl_factor, cloud_droplets,   &
              cloud_physics, cloud_scheme, collective_wait,                     &
              conserve_volume_flow,                                             &
-             conserve_volume_flow_mode, coupling_start_time, cthf,             &
+             conserve_volume_flow_mode, coupling_start_time,                   &
              curvature_solution_effects, cycle_mg, damp_level_1d,              &
              dissipation_1d,                                                   &
-             dp_external, dp_level_b, dp_smooth, dpdxy, drag_coefficient,      &
+             dp_external, dp_level_b, dp_smooth, dpdxy,                        &
              drizzle, dt, dt_pr_1d, dt_run_control_1d, dx, dy, dz, dz_max,     & 
              dz_stretch_factor, dz_stretch_level, end_time_1d,                 &
@@ -285,13 +287,12 @@
              inflow_damping_height, inflow_damping_width,                      &
              inflow_disturbance_begin, inflow_disturbance_end,                 &
-             initializing_actions, km_constant, lad_surface,                   &
-             lad_vertical_gradient, lad_vertical_gradient_level,               &
+             initializing_actions, km_constant,                                &
              large_scale_forcing, large_scale_subsidence,                      &
-             leaf_surface_concentration, limiter_sedimentation,                &
+             limiter_sedimentation, &
              loop_optimization, masking_method, mg_cycles,                     &
              mg_switch_to_pe0_level, mixing_length_1d, momentum_advec,         &
              nc_const, netcdf_precision, neutral, ngsrb,                       &
              nsor, nsor_ini, nudging, nx, ny, nz, ocean, omega, omega_sor,     &
-             passive_scalar, pch_index, phi, plant_canopy, prandtl_layer,      &
+             passive_scalar, phi, prandtl_layer, &
              prandtl_number, precipitation, psolver, pt_damping_factor,        &
              pt_damping_width, pt_reference, pt_surface,                       &
@@ -304,5 +305,5 @@
              rif_max, rif_min, roughness_length, sa_surface,                   &
              sa_vertical_gradient, sa_vertical_gradient_level, scalar_advec,   &
-             scalar_exchange_coefficient, scalar_rayleigh_damping,             &
+             scalar_rayleigh_damping,                                          &
              statistic_regions, subs_vertical_gradient,                        &
              subs_vertical_gradient_level, surface_heatflux, surface_pressure, &
@@ -478,5 +479,5 @@
 !--          ATTENTION: in case of changes to the following statement please
 !--                  also check the allocate statement in routine read_var_list
-             ALLOCATE( lad(0:nz+1), pt_init(0:nz+1), q_init(0:nz+1),           &
+             ALLOCATE( pt_init(0:nz+1), q_init(0:nz+1),                       &
                        ref_state(0:nz+1), sa_init(0:nz+1), ug(0:nz+1),         &
                        u_init(0:nz+1), v_init(0:nz+1), vg(0:nz+1),             &
